Has patch: No
Subject: Remove configuration option for mirrorMode
Description

The resource publisher can mirror resources either be creating symlinks or copying the files. This can be configured through the
mirrorMode setting. The default of this setting is "copy" to guarantee that file publishing works on any system. What most people want
though is "symlink" because it's much faster.

This task is about checking the possibility to remove this user setting and let FLOW3 autodetect which method to use. The detection
mechanism should consider

    -  if the OS supports symlinks
    -  if the webserver is configured to actually follow symlinks

Related issues:
related to TYPO3.Flow - Bug # 8432: Fix Symlink support for Windows OS Resolved 2010-06-22
related to TYPO3.Flow - Feature # 11421: Allow linking of resources directori... Resolved 2010-12-12
related to TYPO3.Flow - Task # 11683: symlink() is not working on Windows XP Resolved 2010-12-24
related to TYPO3.Flow - Feature # 39253: Remove mirroring mode option and code Accepted 2012-07-25

Associated revisions
Revision d199532e - 2010-12-14 19:21 - Robert Lemke

[~TASK][!!!] FLOW3: Make symlink mirror mode the default

The setting FLOW3:resource:publishing:fileSystem:mirrorMode
is now set to "link" by default which means that instead of
copying each resource file to the public directory, symlinks
are used.

It is not 100% clear yet, how systems not supporting symlinks
behave - if you experience any problems, please open an issue
with a good error description so we can take some precautions

Relates to: #8056

Change-Id: I2ca87862ded4d719bfc2776da2837e33645f4ab1

History
#1 - 2010-12-13 16:20 - Karsten Dambekalns
- Target version set to 1.0 alpha 14
- Start date deleted (2010-06-04)
#2 - 2010-12-14 12:38 - Christopher Hlubek

Since we are able to write configuration files we could think about doing some kind of "autosetup" in FLOW3. So we don't have to check abilities for
every request but only on the first hit and then write the configuration. I think there are cases where you would want to use copy mode even if symlinks
are available by the system.

#3 - 2011-07-06 19:45 - Karsten Dambekalns
- Target version changed from 1.0 alpha 14 to 1230

#4 - 2011-10-20 01:43 - Karsten Dambekalns
- Target version deleted (1230)

#5 - 2012-07-25 14:49 - Karsten Dambekalns
- Status changed from New to Closed
- Assigned To set to Karsten Dambekalns
- Has patch set to No
